Bitmoji3DOptions
ClassThe options used with requestBitmoji3DResource
- Available on all platforms
Index
Properties
Methods
Extends
Properties
animationParams
animationParams:
AnimationParams
Used to set the animation params for the request type.
Since
Lens Scripting Version 313
Default Value
null
customParams
customParams:
CustomParams
Used to set the custom params for the request type. You shouldn't need to modify these values directly. Instead you can use this API via the Bitmoji Suite.
Since
Lens Scripting Version 313
Default Value
null
optimizationParams
optimizationParams:
OptimizationParams
Used to set optimization parameters for the Bitmoji 3D asset.
Since
Lens Scripting Version 337
Default Value
null
requestType
requestType:
RequestType
Options used with requestBitmoji3DResourceWithOptions
Since
Lens Scripting Version 313
Default Value
Bitmoji3DOptions.RequestType.Avatar
user
user:
SafeUser
The user which the Bitmoji should represent.
Since
Lens Scripting Version 256
Default Value
null
Methods
create()
staticcreate():Bitmoji3DOptions
Create the option.
Returns
Bitmoji3DOptions
Since
Lens Scripting Version 256
getTypeName()
staticgetTypeName():TypeName<Bitmoji3DOptions>
Returns the fully-qualified JavaScript type name for this class (for example, "Component.Camera"). This is a static accessor (no instance required) and returns the same value as the instance getTypeName().
Returns
TypeName<Bitmoji3DOptions>
Overrides
getTypeName()
getTypeName():
string
Returns the name of this object's type.
Returns
string
Inherited from
isOfType()
isOfType(
type):boolean
Returns true if the object matches or derives from the passed in type.
Parameters
| Parameter | Type |
|---|---|
type | string |
Returns
boolean
Inherited from
isSame()
isSame(
other):boolean
Returns true if this object is the same as other. Useful for checking if two references point to the same thing.
Parameters
| Parameter | Type |
|---|---|
other | ScriptObject |
Returns
boolean
Inherited from
Nested types
Enumerations
| Enumeration | Description |
|---|---|
| AvatarScope | Enum representing avatar scope used in custom params of bitmoji3d options. |
| BodyType | Enum representing different body types for the avatar. |
| BreastType | Enum representing different breast types for the avatar. |
| ClothingType | Enum representing different types of clothing |
| Gender | Enum representing the gender of the avatar. |
| RequestType | Enum representing different request types. |
Classes
| Class | Description |
|---|---|
| AnimationParams | Used to set the animation params for the request type. |
| BaseBodyParams | Body parameters for base Bitmoji avatar customization. Used with requestBaseBitmoji3DResourceWithOptions to specify body type without relying on user avatar data. |
| CustomParams | The custom params can be used for requesting bitmoji assets like garments. These can be set as custom params of Bitmoji3D options. |
| OptimizationParams | Optimization parameters for Bitmoji 3D assets. Note: We currently don't support these optimizations for body scoped custom override requests. |
| ParamSet | Set of parameters used to customize specific parts of avatar such as garment, outerwear etc. |